Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLRectilinearGridWriter Class Reference

`#include <vtkXMLRectilinearGridWriter.h>`

Inheritance diagram for vtkXMLRectilinearGridWriter:

[legend]
Collaboration diagram for vtkXMLRectilinearGridWriter:

[legend]
List of all members.

## Detailed Description

Write VTK XML RectilinearGrid files.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLRectilinearGridWriter writes the VTK XML RectilinearGrid file format. One rectilinear grid input can be written into one file in any number of streamed pieces. The standard extension for this writer's file format is "vtr". This writer is also used to write a single piece of the parallel file format.

See also:
  vtkXMLPRectilinearGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLRectilinearGridWriter.cxx)`
  - .`h` (`/IO/vtkXMLRectilinearGridWriter.h)`

Definition at line 49 of file vtkXMLRectilinearGridWriter.h.

## Public Types
typedef vtkXMLStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkRectilinearGrid *input)
vtkRectilinearGrid * | GetInput ()
## Static Public Methods
vtkXMLRectilinearGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLRectilinearGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLRectilinearGridWriter ()
| ~vtkXMLRectilinearGridWriter ()
void | WriteAppendedMode (vtkIndent indent)
void | WriteAppendedPiece (int index, vtkIndent indent)
void | WriteAppendedPieceData (int index)
void | WriteInlinePiece (int index, vtkIndent indent)
void | GetInputExtent (int *extent)
const char * | GetDataSetName ()
vtkDataArray * | CreateExactCoordinates (vtkDataArray *a, int xyz)
## Protected Attributes
unsigned long ** | CoordinatePositions

## Member Typedef Documentation

typedef vtkXMLStructuredDataWriter vtkXMLRectilinearGridWriter::Superclass

| Reimplemented from vtkXMLStructuredDataWriter. Definition at line 53 of file vtkXMLRectilinearGridWriter.h.

## Constructor & Destructor Documentation

vtkXMLRectilinearGridWriter::vtkXMLRectilinearGridWriter | ( |  | ) | `[protected]`

vtkXMLRectilinearGridWriter::~vtkXMLRectilinearGridWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLRectilinearGridWriter* vtkXMLRectilinearGridWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLRectilinearGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

int vtkXMLRectilinearGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

virtual int vtkXMLRectilinearGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

vtkXMLRectilinearGridWriter* vtkXMLRectilinearGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::SetInput | ( | vtkRectilinearGrid * | input | ) |

| Get/Set the writer's input.

vtkRectilinearGrid* vtkXMLRectilinearGridWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLRectilinearGridWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

void vtkXMLRectilinearGridWriter::WriteAppendedMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::WriteAppendedPiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::WriteAppendedPieceData | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::WriteInlinePiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLRectilinearGridWriter::GetInputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataWriter.

const char* vtkXMLRectilinearGridWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

vtkDataArray* vtkXMLRectilinearGridWriter::CreateExactCoordinates | ( | vtkDataArray * | a,
|  | int | xyz
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLWriter.

## Member Data Documentation

unsigned long** vtkXMLRectilinearGridWriter::CoordinatePositions`[protected]`

| Definition at line 78 of file vtkXMLRectilinearGridWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLRectilinearGridWriter.h